
package ws.sivale.com.mx.exposition.servicios.apps;

import com.mx.sivale.config.WsdlConfig;
import org.apache.log4j.Logger;

import javax.xml.namespace.QName;
import javax.xml.ws.*;
import java.io.IOException;
import java.net.URL;

import static com.mx.sivale.config.constants.ConstantConfiguration.*;

/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.2.6-1b01 Generated
 * source version: 2.2
 */
@WebServiceClient(name = SERVICE_APP, targetNamespace = WS_NAMESPACE_APPS)
public class ServiciosApps extends Service {

    private static final Logger log = Logger.getLogger(ServiciosApps.class);
    private static final URL SERVICIOSAPPS_WSDL_LOCATION;
    private static final WebServiceException SERVICIOSAPPS_EXCEPTION;
    private static final QName SERVICIOSAPPS_QNAME = new QName(WS_NAMESPACE_APPS, SERVICE_APP);

    static {
        URL url = null;
        WebServiceException e = null;
        try {

            String activeProfile;
            activeProfile = System.getProperty("spring.profiles.active");
//            log.info(":::::::::::::::::::::::::::: SERVICIOS APPS :::::::::::::::::::::::::::::::::::::");
//            log.info("CONFIG SERVICIOS PROFILE ::::::: " + activeProfile);
//            log.info(":::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::");
//            log.info("URL App inteliviajes :::::>>>>> " + WsdlConfig.WS_URL_APPS);
            String urlServicios = WsdlConfig.WS_URL_APPS;
            url = new URL(urlServicios);

        } catch (IOException ioE) {
            e = new WebServiceException(ioE);
        }
        SERVICIOSAPPS_WSDL_LOCATION = url;
        SERVICIOSAPPS_EXCEPTION = e;
    }

    public ServiciosApps() {
        super(__getWsdlLocation(), SERVICIOSAPPS_QNAME);
    }

    public ServiciosApps(WebServiceFeature... features) {
        super(__getWsdlLocation(), SERVICIOSAPPS_QNAME, features);
    }

    public ServiciosApps(URL wsdlLocation) {
        super(wsdlLocation, SERVICIOSAPPS_QNAME);
    }

    public ServiciosApps(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SERVICIOSAPPS_QNAME, features);
    }

    public ServiciosApps(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public ServiciosApps(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     *
     * @return returns ServiciosAppsType
     */
    @WebEndpoint(name = SERVICE_APP_PORT)
    public ServiciosAppsType getServiciosAppsTypePort() {
        return super.getPort(new QName(WS_NAMESPACE_APPS, SERVICE_APP_PORT), ServiciosAppsType.class);
    }

    /**
     *
     * @param features
     *            A list of {@link javax.xml.ws.WebServiceFeature} to configure on
     *            the proxy. Supported features not in the <code>features</code>
     *            parameter will have their default values.
     * @return returns ServiciosAppsType
     */
    @WebEndpoint(name = SERVICE_APP_PORT)
    public ServiciosAppsType getServiciosAppsTypePort(WebServiceFeature... features) {
        return super.getPort(new QName(WS_NAMESPACE_APPS, SERVICE_APP_PORT), ServiciosAppsType.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SERVICIOSAPPS_EXCEPTION != null) {
            throw SERVICIOSAPPS_EXCEPTION;
        }
        return SERVICIOSAPPS_WSDL_LOCATION;
    }

}
